# -*- coding: utf8 -*-

from __future__ import unicode_literals

from driverng.tests import BaseTest


class TestProtocolNoAstm(BaseTest):
    PROTOCOL_CLASS = "noastm"

    def test_send_recv(self):
        self.assertSendRecvMessageEqual(
            """
            H|\\^&~|
            L|1|N
            """,
            "send H|\\^&~|<cr>L|1|N<cr>",
        )
